/// class ProspectDirector.Modules.Common.FeaturedObjectEditorTabbed
/// using ProspectDirector.Modules.Common.FeaturedObjectEditor

ProspectDirector.Modules.Common.FeaturedObjectEditorTabbed = ProspectDirector.Modules.Common.FeaturedObjectEditor.extend({

    //---------------------------
    //--- CONSTRUCTOR
    //---------------------------

    init: function (options) {

        this._super(options)

        this.init_tabStrip();

        this.sizeContent();

    },

    //---------------------------
    //--- PROPERTIES
    //---------------------------

    get_tabStrip: function () {
        return this.get_container().find("DIV[data-role=featuredobject-tabstrip]");
    },

    //---------------------------
    //--- INITIALIZERS
    //---------------------------

    init_tabStrip: function () {

        this.get_tabStrip().kendoTabStrip({
            animation: false
        });

        this.get_tabStrip().data("tabScroller", new ProspectDirector.Types.KendoExtensions.TabStripScroller({
            tabStrip: this.get_tabStrip()
        }))

        this.get_tabStrip().data("kendoTabStrip").select(0);

    },

    //---------------------------
    //--- METHODS
    //---------------------------

    sizeContent: function () {

        if (this.get_dialog().length > 0) {
            this.get_tabStrip().children("DIV").height(this.get_dialog().height() - 100);
        }

        this.get_tabStrip().data("tabScroller").update();

    }

});